Oracle Solaris Third-Party Patch Update : samba (cve_2012_2111_access_controls)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- The (1) CreateAccount, (2) OpenAccount, (3)
AddAccountRights, and (4) RemoveAccountRights LSA RPC
procedures in smbd in Samba 3.4.x before 3.4.17, 3.5.x
before 3.5.15, and 3.6.x before 3.6.5 do not properly
restrict modifications to the privileges database, which
allows remote authenticated users to obtain the 'take
ownership' privilege via an LSA connection.
(CVE-2012-2111)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?15ece2a2

Solution :

Upgrade to Solaris 11/11 SRU 8.5.

Risk factor :

Medium / CVSS Base Score : 6.5
(CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80761 ()

Bugtraq ID:

CVE ID: CVE-2012-2111

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now